CREATE TABLE cn_rs_rule_event_details_all (
    RULE_EVENT_DETAIL_ID      NUMBER(18, 0) ,
    ORG_ID                    NUMBER(18, 0)     NOT NULL,
    USAGE_ID                  NUMBER(18, 0) ,
    EVENT_DATE                DATE          ,
    EVENT_STATUS              VARCHAR2(120) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    RULE_EVENT_DETAIL_ID      NUMBER(18, 0) ,
    ORG_ID                    NUMBER(18, 0)     NOT NULL,
    USAGE_ID                  NUMBER(18, 0) ,
    EVENT_DATE                DATE          ,
    EVENT_STATUS              VARCHAR2(120) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_cn_rs_rule_event_details_all PRIMARY KEY (RULE_EVENT_DETAIL_ID, RULE_EVENT_DETAIL_ID)
);
